function [P,Q,W]=P_Q_and_W(G,Gm)
% the function computes the projectors Gm G = P = I - Q and W = I-G Gm
%schwelle=1e-15;
schwelle=eps;
P=Gm*G;
Q=speye(size(P,1))-P;
W=speye(size(P,1))-G*Gm;
for i=1:size(P,1)
    for j=1:size(P,1)
        if abs(P(i,j)) < schwelle
            P(i,j)=0;
        end;
        if abs(Q(i,j)) < schwelle
            Q(i,j)=0;
        end;
        if abs(W(i,j)) < schwelle
            W(i,j)=0;
        end;
    end;
end;